| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_ClassInfo_MIDI_Host_t Struct Reference
MIDI Class Host Mode Driver

## Detailed Description

MIDI Class Host Mode Configuration and State Structure.

Class state structure. An instance of this structure should be made within the user application, and passed to each of the MIDI class driver functions as the `MIDIInterfaceInfo` parameter. This stores each MIDI interface's configuration and state information.

Definition at line 71 of file MIDIClassHost.h.

`#include "MIDIClassHost.h"`

## Data Fields
struct {
uint8_t DataINPipeNumber
bool DataINPipeDoubleBank
uint8_t DataOUTPipeNumber
bool DataOUTPipeDoubleBank
uint8_t PortNumber
} | Config
struct {
bool IsActive
uint8_t InterfaceNumber
uint16_t DataINPipeSize
uint16_t DataOUTPipeSize
} | State

## Field Documentation

struct { ... } Config

Config data for the USB class interface within the device. All elements in this section must be set or the interface will fail to enumerate and operate correctly.

bool DataINPipeDoubleBank

Indicates if the MIDI interface's IN data pipe should use double banking.

Definition at line 76 of file MIDIClassHost.h.

uint8_t DataINPipeNumber

Pipe number of the MIDI interface's streaming IN data pipe.

Definition at line 75 of file MIDIClassHost.h.

uint16_t DataINPipeSize

Size in bytes of the MIDI Streaming Data interface's IN data pipe.

Definition at line 93 of file MIDIClassHost.h.

bool DataOUTPipeDoubleBank

Indicates if the MIDI interface's OUT data pipe should use double banking.

Definition at line 79 of file MIDIClassHost.h.

uint8_t DataOUTPipeNumber

Pipe number of the MIDI interface's streaming OUT data pipe.

Definition at line 78 of file MIDIClassHost.h.

uint16_t DataOUTPipeSize

Size in bytes of the MIDI Streaming Data interface's OUT data pipe.

Definition at line 94 of file MIDIClassHost.h.

uint8_t InterfaceNumber

Interface index of the MIDI interface within the attached device.

Definition at line 91 of file MIDIClassHost.h.

bool IsActive

Indicates if the current interface instance is connected to an attached device, valid after MIDI_Host_ConfigurePipes() is called and the Host state machine is in the Configured state.

Definition at line 87 of file MIDIClassHost.h.

uint8_t PortNumber

Port number that this interface is running.

Definition at line 80 of file MIDIClassHost.h.

struct { ... } State

State data for the USB class interface within the device. All elements in this section may be set to initial values, but may also be ignored to default to sane values when the interface is enumerated.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/LPCUSBLib/Drivers/USB/Class/Host/MIDIClassHost.h